<CsoundSynthesizer>
<CsOptions>
-o risset.wav -W
</CsOptions>
; ==============================================
<CsInstruments>

sr	=	48000
ksmps	=	1
nchnls	=	2
0dbfs	=	1

#include "m_risset_int.udo"
#include "m_risset_filter.udo"

instr 1	
	klevel init 10 ; output volume of the filter
	krate init .1 ; rate/tempo of the Risset glissando
	ioctave init 8 ; Number of octaves to use
	kcentre init 660 ; Centre frequency of the glissando
	kq init 8 ; Q-value or bandwidt of the filters
	kdirection init 1 ; Rising up, -1: going down
	iwindow init 1 ; Stored Gaussian window
	irise init 2 ; Stored exponential function
	anoise rand 1 ; Generate random noise as audio in
	afilt m_risset_filter anoise, klevel, krate, ioctave, kcentre, kq, kdirection, iwindow, irise
	aout = afilt + anoise*.1 ; Mix filter output and original input
	outs aout, aout
endin

</CsInstruments>
; ==============================================
<CsScore>
f1 0 16384 20 6 1 1
f2 0 16384 -5 1 16384 1024
i1 0 40
e
</CsScore>
</CsoundSynthesizer>

